Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler Class Reference

`#include <ErrorHandler.h>`

## Classes

class | Context

## Public Types

enum | Policy { kQuietNoopPolicy , kNoisyNoopPolicy , kThrowPolicy }
enum | UnknownExceptionFlag { kUnknownException }

## Public Member Functions

| ErrorHandler ()
| ErrorHandler (Policy iPolicy)
void | operator() (std::exception &iExc, const std::string &iCtx="")
void | operator() (const std::string &iErrMsg, const std::string &iCtx="")
void | operator() (UnknownExceptionFlag iUef, const std::string &iCtx="")
Policy | getPolicy () const
void | setPolicy (Policy iPolicy)
const std::string | getErrorLog () const
bool | valid () const
void | clear ()

## Detailed Description

Definition at line 48 of file ErrorHandler.h.

## Member Enumeration Documentation

## Policy

enum Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::Policy

Enumerator
kQuietNoopPolicy |
kNoisyNoopPolicy |
kThrowPolicy |

Definition at line 51 of file ErrorHandler.h.

## UnknownExceptionFlag

enum Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::UnknownExceptionFlag

Enumerator
kUnknownException |

Definition at line 58 of file ErrorHandler.h.

## Constructor & Destructor Documentation

## ErrorHandler() [1/2]

Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::ErrorHandler | ( |  | ) |

inline

Definition at line 63 of file ErrorHandler.h.

## ErrorHandler() [2/2]

Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::ErrorHandler | ( | Policy | iPolicy | ) |

inline

Definition at line 67 of file ErrorHandler.h.

## Member Function Documentation

## clear()

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::clear | ( |  | ) |

inline

Definition at line 90 of file ErrorHandler.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::Base::reset().

Here is the caller graph for this function:

## getErrorLog()

const std::string Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::getErrorLog | ( |  | ) | const

inline

Definition at line 86 of file ErrorHandler.h.

## getPolicy()

Policy Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::getPolicy | ( |  | ) | const

inline

Definition at line 83 of file ErrorHandler.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::Base::getErrorHandlerPolicy().

Here is the caller graph for this function:

## operator()() [1/3]

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::operator() | ( | const std::string & | iErrMsg,
|  | const std::string & | iCtx = `""`
| ) |  |

## operator()() [2/3]

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::operator() | ( | std::exception & | iExc,
|  | const std::string & | iCtx = `""`
| ) |  |

Default copy constructor Default assignment operator

## operator()() [3/3]

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::operator() | ( | UnknownExceptionFlag | iUef,
|  | const std::string & | iCtx = `""`
| ) |  |

## setPolicy()

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::setPolicy | ( | Policy | iPolicy | ) |

inline

Definition at line 84 of file ErrorHandler.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< PROP_PTR >::IBasePropertyT(), Alembic::Abc::ALEMBIC_VERSION_NS::ISchemaObject< SCHEMA >::ISchemaObject(), Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::ITypedArrayProperty(), Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty(), Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive(), and Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< PROP_PTR >::OBasePropertyT().

Here is the caller graph for this function:

## valid()

bool Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::valid | ( |  | ) | const

inline

Definition at line 88 of file ErrorHandler.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::Base::valid().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/ErrorHandler.h